> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get series details

> Get details of a specific series by ID.

Get details of a registered series by its ID, including the validation code provided by the Portuguese Tax Authority.


## OpenAPI

````yaml GET /apps/at-pt/v1/entry/{silo_entry_id}/series/{id}
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: Set of end-points to interact with the AT Portugal app API.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Portugal AT Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/at-pt/v1/entry/{silo_entry_id}/series/{id}:
    get:
      description: Get details of a specific series by ID.
      parameters:
        - description: Silo entry ID of the supplier to get the series for.
          in: path
          name: silo_entry_id
          required: true
          schema:
            description: Silo entry ID of the supplier to get the series for.
            example: 347c5b04-cde2-11ed-afa1-0242ac120002
            title: Silo Entry ID
            type: string
        - description: UUID of the series to get the details for.
          in: path
          name: id
          required: true
          schema:
            description: UUID of the series to get the details for.
            example: 1d8ab49a-bd14-11ef-925f-325096b39f47
            title: Series ID
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Series'
          description: Series details.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid or missing series ID.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Series or supplier not found.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Series:
      properties:
        id:
          description: Series ID.
          example: 1d8ab49a-bd14-11ef-925f-325096b39f47
          title: ID
          type: string
        code:
          description: Full series code (document type + base code).
          example: FT SERIES-A
          title: Code
          type: string
        base:
          description: Base code for the series.
          example: SERIES-A
          title: Base
          type: string
        document_type:
          description: Document type for the series.
          example: FT
          title: Document Type
          type: string
        type:
          description: Type of the series.
          example: 'N'
          title: Type
          type: string
        validation_code:
          description: AT validation code for the series used to generate ATCUD codes.
          example: AAJFJ3N5YS
          title: Validation Code
          type: string
      type: object
    Error:
      properties:
        message:
          description: Details of the error.
          title: Message
          type: string
      type: object
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````